<?php
$analyzeData = $this->getAnalyzeDataDetail();
$ruleId = $analyzeData['analyze_rule_id'];
$ruleData = $this->getRuleDetail($ruleId);
?>
<!DOCTYPE html>
<html>
<head>
	<style type="text/css">	
	.analyze-data-detail table{    border-collapse: collapse;}
.analyze-data-detail table,.analyze-data-detail td,.analyze-data-detail th{border: 1px solid #ddd;   padding: 15px;}
	.visitor-tab {
    text-align: center;
    font-size: 20px;
    width: auto;
    background-color: #cceeff;
  border-width: 1px;
  border-color: #99ddff;
	}
	.tagname {
    font-size: 14px;
    width: auto;
    font-weight: bold;
	}
	.analyze-data-detail {
		margin-left: 125px;
	}
	.back-button {
		text-align: center;
	    font-size: 1.4rem;
	    border-radius: 1px;
	    padding: 0.6rem 1em 0.6rem;
	    font-weight: 800;
	    color: #514943;
	    background: #e3e3e3;
	}
	.back-button:hover {
	  	text-decoration: none;
	    color: #514943;
	}
  	</style>
 </head>
<body>
	<?php
    	$url = $this->backUrl();
    ?>
	<a class="back-button" href="<?=$url?>">Back</a>
	<div class="analyze-data-detail">
		<table>
			<tr>
				<td class="visitor-tab" colspan="2">Visitor Detail</td>
			</tr>
			<tr>
				<td class="tagname">Visitor From</td>
				<td class="tagvalue"><?=$analyzeData['visitor_country']?></td>
			</tr>
			<tr>
				<td class="tagname">IP Address</td>
				<td class="tagvalue"><?=$this->getIP($analyzeData['visitor_ip'])?></td>
			</tr>
		  	<tr>
				<td class="tagname">Action Date</td>
				<td class="tagvalue"><?=$this->getDate($analyzeData['created_at'])?></td>
			</tr>
			<tr>
				<td class="tagname">Redirected To</td>
				<?php if($analyzeData['redirect_to']) { ?>
				<td class="tagvalue"><?=rtrim($analyzeData['redirect_to'],'/')?></td>
				<?php }  else {
					?>
				<td class="tagvalue">Homepage</td>
				<?php } ?>
			</tr>

			<tr>
				<td class="visitor-tab" colspan="2">Redirected Rule Detail</td>
			</tr>
			<tr>
				<td class="tagname">Redirected to Store</td>
				<td class="tagvalue">
				<?php
					if($analyzeData['analyze_rule_id'] && isset($ruleData['rule_store_id'])) {
						echo $this->getStorename($ruleData['rule_store_id']);
					} 
					if($analyzeData['analyze_rule_id'] && !isset($ruleData['rule_store_id'])) {
						echo "Rule Deleted ";
					}
					if($analyzeData['blocked_request']) {
						echo "Action Blocked";
					} 
				?>
				</td>
			</tr>
			<tr>
				<?php if($analyzeData['analyze_rule_id'] && isset($ruleData['rule_store_id'])) { 
					$url = $this->getUrl("geoip/rule/addrule/id/".$analyzeData['analyze_rule_id']);
					?>
				<td class="tagname" colspan="2"><a class="link-button" href="<?=$url?>">Click here to view your created rule in detail</a></td>
				<?php }  else {
					?>
				<?php } ?>
			</tr>
		</table>
	</div>
</body>
</html>